Subject: [bug#57515] [PATCH 0/8] Stop unmirroring during updates.

From: Maxime Devos <[email-masked]>
Date: Thu, 1 Sep 2022 11:27:28 +0200

On 01-09-2022 11:00, Maxime Devos wrote:
> This patch series fixes #57477
> (‘"guix refresh -u" sometimes 'unmirrors' source URLs’)
> (at least, for the cases that I tested).  The individual commits
> have proposals for what packages to test things on.
>
> Due to the new behaviour of 'latest-html-release', a few
> simplifications were possible in other updaters.  However,
> to keep 57477 fixed, some URLs in (guix download) had to be
> switched from http to https.
>
> I'm currently running "make check", not yet completed.

A guix-system test fails:

Authenticating channel 'guix', commits 9edb3f6 to a6a1b17 (40.004 new 
commits)...
  [K[ ]guix system: error: could not authenticate commit 
a6a1b17f29411c44cdda8d0cdf24acd472645140: key C1F3 3EE2 0C52 8FDB 7DD7  
011F 49E3 EE22 1917 25

but this appears unrelated (though TBI I suppose).

Greetings,
Maxime.